Zum Hauptinhalt springen

Delete a customer profile

DELETE/v2/customers/{customerId}
API-Version
v2
Request-Methode
DELETE
Operation-ID
customer-delete-customer

Request​

  • customerIdstringrequired

    The uuid of the customer to be deleted. Only customer without active contracts or unpaid invoices can be deleted.

Responses​

Format
application/json
Beschreibung

Returns the uuid of the deleted customer

  • customerIdstring
Content-Type: application/json

{
"customerId": "string"
}
{
"properties": {
"customerId": {
"type": "string"
}
},
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.deleteCustomer({
"customerId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\DeleteCustomer\DeleteCustomerRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeleteCustomerRequest(
customerId: "string"
));
$response = $client->customer()->deleteCustomer($request);

var_dump($response->getBody();

Auf dieser Seite